/*
 * bf_cmd.c
 *
 * Some functions to fill out BF-packet-structures
 *
 *  Created on: 07.03.2009
 *      Author: Jan Alte, DO1FJN
 *
 * This file is part of the DV-modem firmware (DVfirmware).
 * For general infomation about DVfirmware see "dv-main.c".
 *
 * DVfirmware is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * The DVfirmware is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this package. If not, see <http://www.gnu.org/licenses/>.
 *
 */


#include "bf_cmd.h"
#include "../hw_init.h"	// tbfpacket Definition
#include "compiler.h"
#include <string.h>


void bf_request_noparam(unsigned char req) {
  tbfpacket request;
  request.fromadr = BF_MYADDRESS;
  request.destadr = BF_MASTER;
  request.pktlen  = 5;
  request.cmd     = req;
  bf_sendpkt(&request);
}



__inline void bf_acknowledge(tbfpacket *reply) {
  reply->pktlen  = 5;
}


__inline void bf_sendbyte(tbfpacket *reply, unsigned char data) {
  reply->pktlen  = 6;
  reply->data[0] = data;
}


__inline void bf_sendword(tbfpacket *reply, unsigned short data) {
  reply->pktlen  = 7;
  reply->data[0] = LSB(data);
  reply->data[1] = MSB(data);
}


__inline void bf_sendstring8(tbfpacket *reply, unsigned char id, const tString8 strdata) {
  reply->pktlen  = 14;
  reply->data[0] = id;
  memcpy(&reply->data[1], strdata, 8);
}


