/*
 * bf_cmd.h
 *
 * Command definitios of the internal communication (serial, BF-bus).
 * function-prototypes to fill out BF-packet-structures
 *
 *  Created on: 07.03.2009
 *      Author: Jan Alte, DO1FJN
 *
 * This file is part of the DV-modem firmware (DVfirmware).
 * For general infomation about DVfirmware see "dv-main.c".
 *
 * DVfirmware is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * The DVfirmware is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this package. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef BF_CMD_H_
#define BF_CMD_H_

#include "../hardware/bf_func.h"	// BF-packet structures


#define DVcmdActivate	0xA1		// Cmd to Bootloader: Start Firmware
#define DVcmdShutdown	0xAF		// Stop Firmware, enter Bootloader

#define DVcmdGetVers	0
#define DVcmdStop	1
#define DVcmdReceive	2
#define DVrpyReceive	(DVcmdReceive|0x80)	// Für Async Antwort
#define DVcmdTransmit	4
#define DVcmdFreqChge	5		// Frequenz wird geändert
#define DVcmdSquelchOff	6
#define DVcmdSquelchOn	7
#define DVcmdCallTonOff	8
#define DVcmdCallTonOn	9
#define DVcmdVolume	0x10
#define DVcmdMicGain	0x11
#define DVcmdSquelch	0x12

#define DVcmdDTMFTonOn	0x14

#define DVcmdModeChnge	0x18
#define DVcmdMaxModeNo	0x19
#define DVcmdModeGetStr	0x1A
#define DVcmdGetCurrBER	0x1B

#define DVcmdSetData	0x1C
#define DVcmdGetMaxDMP	0x1D
#define DVcmdGetDatMStr	0x1E
#define DVcmdGetDatPStr	0x1F

#define DVcmdSetMyCall	0x30
#define DVcmdAnalogSet	0x31

#define DVcmdSetRoute	0x40
#define DVcmdSetDest	0x41
#define DVcmdSetDepart	0x42
#define DVcmdSetCompan	0x43

#define DVreqemergency	0x90
#define DVreqNFPAon	0x91
#define DVreqNFPAoff	0x92

#define DVsendMessage	0xA0		// general Notification
#define DVsendNewRxCall	0xA1		//
#define DVsendNewRoute	0xA2


typedef char tString8[8];
typedef char tString16[16];


void	bf_request_noparam(unsigned char req);

void	bf_acknowledge(tbfpacket *reply);	// einfach nur vorh. Cmd aussenden
void	bf_sendbyte(tbfpacket *reply, unsigned char data);
void	bf_sendword(tbfpacket *reply, unsigned short data);
void	bf_sendstring8(tbfpacket *reply, unsigned char id, const tString8 strdata);



#endif // BF_CMD_H_
