/*
 * adc_func.h
 *
 * defines basic adc-functions (useing internal ADC of AVR32 µC)
 *
 *  Created on: 10.03.2009
 *      Author: Jan Alte, DO1FJN
 *
 *
 * This file is part of the DV-modem firmware (DVfirmware).
 * For general infomation about DVfirmware see "dv-main.c".
 *
 * DVfirmware is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * The DVfirmware is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this package. If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef ADC_FUNJC_H_
#define ADC_FUNJC_H_

#define ADC_CLOCK		4000000L	// max 5MHz 4 full res

#define ADC_REFERENCEVAL	(512-0)		// später Messung ohne Signal

#define ADC_SIGNEDFS(x)		((x<<6)-0x8000)

// ADC-Channel Definitionen:
#define HFIN			AVR32_ADC.cdr7
#define ACTIVECHANNEL_MASK	0x80

// Timing
#define ADC_SHTIM_VAL		0x0F
#define ADC_STARTUP_VAL		0x1F


void	adc_init();
void	adc_exit(void);
void	adc_startconversion(void);


#endif

